﻿@model SinglePetViewModel

<h4><i class="fa fa-paw fa-fw"></i> Uspešno ste ažurirali ljubimca:</h4>
<hr />

<table class="table-striped" style="font-size:large">
    <tbody>
        <tr>
            <th>Ime: </th>
            <td>@Model.Pet.Name</td>
        </tr>
        <tr>
            <th>Vrsta: </th>
            <td>@Model.Pet.PetType.TypeName</td>
        </tr>
        <tr>
            <th>Rasa: </th>
            <td>@Model.Pet.Race</td>
        </tr>
        <tr>
            <th>Boja dlake: </th>
            <td>@Model.Pet.Color</td>
        </tr>
        <tr>
            <th>Pol: </th>
            <td>@Model.Pet.Gender</td>
        </tr>
        <tr>
            <th>Datum rođenja: </th>
            @if (Model.Pet.DateOfBirth == DateTime.MinValue)
            {
                <td></td>
            }
            else
            {
                <td>@Model.Pet.DateOfBirth?.ToString("dd/MM/yyyy")</td>
            }
        </tr>
        <tr>
            <th>Broj mikročipa: </th>
            <td>@Model.Pet.MicrochipNumber</td>
        </tr>
        <tr>
            <th>Broj pasoša: </th>
            <td>@Model.Pet.PassportNumber</td>
        </tr>
        <tr>
            <th>Vlasnik: </th>
            <td><a asp-controller="PetOwner" asp-action="Details/@Model.Pet.Owner.UserName" style="color:black">@Model.Pet.Owner.FirstName @Model.Pet.Owner.LastName (@Model.Pet.Owner.UserName)</a></td>
        </tr>
    </tbody>
</table>
<hr />

<a asp-controller="Pet" asp-action="Overview" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-table fa-sm" aria-hidden="true"></i> Ljubimci</a>
<a asp-controller="Pet" asp-action="Update" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-pencil-alt fa-sm" aria-hidden="true"></i> Izmeni</a>
<a style="margin:0px 5px 20px 0px; font-size:medium; color:white" class="btn btn-danger btn-sm" data-toggle="modal" data-target="#deleteModal"><i class="fa fa-trash-alt" aria-hidden="true"></i> Obriši</a>

<div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Da li ste sigurni?</h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">Kliknite "Obriši" ukoliko želite da obrišete ljubimca.</div>
            <div class="modal-footer">
                <button class="btn btn-secondary" type="button" data-dismiss="modal">Ne</button>
                <a class="btn btn-danger" asp-controller="Pet" asp-action="Delete">Obriši</a>
            </div>
        </div>
    </div>
</div>